set BUILD_DIR=C:\b\%PY_VER%-%ARCH%
IF EXIST %BUILD_DIR% ( echo "Please remove %BUILD_DIR%"; exit 1 )
mkdir %BUILD_DIR%
cd %BUILD_DIR%
echo %DIRTY%
REM Remove dot from PY_VER for use in library name
set MY_PY_VER=%PY_VER:.=%

set CXXFLAGS=/MP

REM Configure Step
cmake -G "%CMAKE_GENERATOR%" ^
    -D SimpleITK_BUILD_DISTRIBUTE:BOOL=ON ^
    -D BUILD_SHARED_LIBS:BOOL=OFF ^
    -D BUILD_TESTING:BOOL=OFF ^
    -D BUILD_EXAMPLES:BOOL=OFF ^
    -D WRAP_CSHARP:BOOL=OFF ^
    -D WRAP_LUA:BOOL=OFF ^
    -D WRAP_PYTHON:BOOL=ON ^
    -D WRAP_JAVA:BOOL=OFF ^
    -D WRAP_CSHARP:BOOL=OFF ^
    -D WRAP_TCL:BOOL=OFF ^
    -D WRAP_R:BOOL=OFF ^
    -D WRAP_RUBY:BOOL=OFF ^
    -D SimpleITK_USE_SYSTEM_SWIG:BOOL=ON ^
    -D "CMAKE_SYSTEM_PREFIX_PATH:PATH=%PREFIX%/Library" ^
    -D "PYTHON_EXECUTABLE:FILEPATH=%PYTHON%" ^
    -D "PYTHON_INCLUDE_DIR:PATH=%PREFIX%/include" ^
    -D "PYTHON_LIBRARY:FILEPATH=%PREFIX%/libs/python%MY_PY_VER%.lib" ^
    -D "SWIG_EXECUTABLE:FILEPATH=%PREFIX%/Library/bin/swig" ^
    "%SRC_DIR%/SuperBuild"

if errorlevel 1 exit 1

REM Build step
cmake --build  . --config Release
if errorlevel 1 exit 1

REM Install step
REM cmake --build  . --config Release --target INSTALL
if errorlevel 1 exit 1

cd SimpleITK-build\Wrapping\Python
%PYTHON% Packaging\setup.py install


IF NOT "%DIRTY%"=="1" (rmdir /s /q %BUILD_DIR%)
